#---------------------------------------------------------------#
#--------------CURATION SYSTEM CONFIGURATIONS-------------------#
#---------------------------------------------------------------#
# Configuration properties used solely by the Curation system   #
#---------------------------------------------------------------#

### Task Class implementations

# NOTE: Other configurations can append to this list of default tasks by simply
# adding their own additional values of "plugin.named.org.dspace.curate.CurationTask"
plugin.named.org.dspace.curate.CurationTask = org.dspace.ctask.general.NoOpCurationTask = noop
plugin.named.org.dspace.curate.CurationTask = org.dspace.ctask.general.ProfileFormats = profileformats
plugin.named.org.dspace.curate.CurationTask = org.dspace.ctask.general.RequiredMetadata = requiredmetadata
plugin.named.org.dspace.curate.CurationTask = org.dspace.ctask.general.ClamScan = vscan
plugin.named.org.dspace.curate.CurationTask = org.dspace.ctask.general.MicrosoftTranslator = translate
plugin.named.org.dspace.curate.CurationTask = org.dspace.ctask.general.MetadataValueLinkChecker = checklinks
# add new tasks here (or in additional config files)

## task queue implementation
plugin.single.org.dspace.curate.TaskQueue = org.dspace.curate.FileTaskQueue

# directory location of curation task queues
curate.taskqueue.dir = ${dspace.dir}/ctqueues

# (optional) directory location of scripted (non-java) tasks
# curate.script.dir = ${dspace.dir}/ctscripts

# Friendly names for curation tasks to appear in admin UI
# Also acts as a filter - i.e. tasks not enumerated here can still
# be invoked on cmd line, etc - just not in UI
curate.ui.tasknames = profileformats = Profile Bitstream Formats
curate.ui.tasknames = requiredmetadata = Check for Required Metadata
curate.ui.tasknames = checklinks = Check Links in Metadata

# Tasks may be organized into named groups which display together in UI drop-downs
# curate.ui.taskgroups = \
#   general = General Purpose Tasks,

# Group membership is defined using comma-separated lists of task names, one property per group
# curate.ui.taskgroup.general = profileformats, requiredmetadata, checklinks

# Name of queue used when tasks queued in Admin UI
curate.ui.queuename = admin_ui

# Localized names for curation status codes in Admin UI
curate.ui.statusmessages = \
    -3 = Unknown Task, \
    -2 = No Status Set, \
    -1 = Error, \
     0 = Success, \
     1 = Fail, \
     2 = Skip, \
     other = Invalid Status

